Skip site navigation (1) Skip section navigation (2)

Re: static pg_dump

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Bruce Momjian <pgman(at)candle(dot)pha(dot)pa(dot)us>
Cc: Greg Stark <gsstark(at)mit(dot)edu>, pgsql-hackers(at)postgresql(dot)org
Subject: Re: static pg_dump
Date: 2003-10-31 21:35:13
Message-ID: 20045.1067636113@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-hackers
Bruce Momjian <pgman(at)candle(dot)pha(dot)pa(dot)us> writes:
> 7.4 pg_dump should be able to use 7.3's libpq --- the API has not
> changed, so we didn't bump the major number.

No, the other way 'round.  7.3 pg_dump or psql would work with a 7.4
libpq.so, but I don't believe 7.4 pg_dump or psql would work with a
7.3 libpq.so.

			regards, tom lane

In response to

pgsql-hackers by date

Next:From: Tom LaneDate: 2003-10-31 21:49:17
Subject: Re: Regression Failure: CURRENT SOURCES/union&join
Previous:From: Bruce MomjianDate: 2003-10-31 21:25:41
Subject: Re: Call for port reports -- Failure on Linux

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group